Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.data
Class DOTSerializer

    java.lang.Object
      org.basex.data.Serializer
          org.basex.data.DOTSerializer

    public final class DOTSerializer

extends Serializer

This class allows to output XML results via SAX.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Field Summary
`PrintOutput` | `out` Output stream.

Fields inherited from class org.basex.data.Serializer
`dn, ns, tags`

Constructor Summary
`DOTSerializer(PrintOutput o)` Constructor, defining colors for the dot output.

Method Summary
`void` | `attribute(byte[] n, byte[] v)` Serializes an attribute.
`void` | `close(byte[] t)` Closes an element.
`void` | `close(int s)` Finishes the serializer.
`void` | `closeResult()` Closes a result.
`void` | `comment(byte[] t)` Serializes a comment.
`void` | `empty()` Finishes an empty element.
`void` | `finish()` Finishes an element.
`void` | `item(byte[] t)` Serializes an item.
`void` | `open(int s)` Initializes the serializer.
`void` | `openResult()` Starts a result.
`void` | `pi(byte[] n, byte[] v)` Serializes a processing instruction.
`void` | `text(byte[] t)` Serializes a text.

Methods inherited from class org.basex.data.Serializer
`closeElement, emptyElement, emptyElement, emptyElement, finished, finishElement, namespace, node, openElement, openElement, pi, startElement, startElement`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    public final PrintOutput out

  Output stream.

Constructor Detail

### DOTSerializer

    public DOTSerializer(PrintOutput o)

  Constructor, defining colors for the dot output.

  Parameters:
    `o` - output stream

Method Detail

### open

    public void open(int s)
              throws java.io.IOException

  Description copied from class: `Serializer`
  Initializes the serializer.

  Specified by:
    `open` in class `Serializer`
  Parameters:
    `s` - number of results
  Throws:
    `java.io.IOException` - exception

### close

    public void close(int s)
               throws java.io.IOException

  Description copied from class: `Serializer`
  Finishes the serializer.

  Specified by:
    `close` in class `Serializer`
  Parameters:
    `s` - number of results
  Throws:
    `java.io.IOException` - exception

### openResult

    public void openResult()
                    throws java.io.IOException

  Description copied from class: `Serializer`
  Starts a result.

  Specified by:
    `openResult` in class `Serializer`
  Throws:
    `java.io.IOException` - exception

### closeResult

    public void closeResult()
                     throws java.io.IOException

  Description copied from class: `Serializer`
  Closes a result.

  Specified by:
    `closeResult` in class `Serializer`
  Throws:
    `java.io.IOException` - exception

### attribute

    public void attribute(byte[] n,
                          byte[] v)

  Description copied from class: `Serializer`
  Serializes an attribute.

  Specified by:
    `attribute` in class `Serializer`
  Parameters:
    `n` - name
    `v` - value

### empty

    public void empty()
               throws java.io.IOException

  Description copied from class: `Serializer`
  Finishes an empty element.

  Throws:
    `java.io.IOException` - exception

### finish

    public void finish()
                throws java.io.IOException

  Description copied from class: `Serializer`
  Finishes an element.

  Throws:
    `java.io.IOException` - exception

### close

    public void close(byte[] t)
               throws java.io.IOException

  Description copied from class: `Serializer`
  Closes an element.

  Parameters:
    `t` - tag
  Throws:
    `java.io.IOException` - exception

### text

    public void text(byte[] t)
              throws java.io.IOException

  Description copied from class: `Serializer`
  Serializes a text.

  Specified by:
    `text` in class `Serializer`
  Parameters:
    `t` - text bytes
  Throws:
    `java.io.IOException` - exception

### comment

    public void comment(byte[] t)
                 throws java.io.IOException

  Description copied from class: `Serializer`
  Serializes a comment.

  Specified by:
    `comment` in class `Serializer`
  Parameters:
    `t` - comment
  Throws:
    `java.io.IOException` - exception

### pi

    public void pi(byte[] n,
                   byte[] v)
            throws java.io.IOException

  Description copied from class: `Serializer`
  Serializes a processing instruction.

  Specified by:
    `pi` in class `Serializer`
  Parameters:
    `n` - name
    `v` - value
  Throws:
    `java.io.IOException` - exception

### item

    public void item(byte[] t)
              throws java.io.IOException

  Description copied from class: `Serializer`
  Serializes an item.

  Specified by:
    `item` in class `Serializer`
  Parameters:
    `t` - text bytes
  Throws:
    `java.io.IOException` - exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD